package com.liquidnet.service.goblin.dto.vo;

import lombok.Data;

import java.util.ArrayList;

@Data
public class PageInfoVo {
    /**
     * 总个数
     */
    private int total;
    private Object list;

    public PageInfoVo() {
    }

/*
    public PageInfoVo(ArrayList<GoblinNftExActivityVo> goblinNftExActivityArrayList, int count, int num) {
        this.list = goblinNftExActivityArrayList;
        this.total = count;
    }

    public PageInfoVo(ArrayList<GoblinNftExCodeVo> goblinNftExCodeVos, int count, String vio) {
        this.list = goblinNftExCodeVos;
        this.total = count;
    }
*/

    private static final PageInfoVo obj = new PageInfoVo();

    public static PageInfoVo getNew() {
        try {
            return (PageInfoVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new PageInfoVo();
        }
    }


}
